/*

Files     	: lib_simple_test.ino
Version 	: 1.0
Date     	: 2012/08/15
Description	:
History		:

    1. Date			: 2012/08/15
       Author		: John Zhong@SimplyTronics
       Modification	: Create
	   

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


#include <RGB_LED_Matrix.h>

RGB_LED_Matrix matrix;

void setup(void)
{
	matrix.start();
	delay(1000);
}

long colordata = 0;	
	
void loop(void)
{
	long index = 0;
	
    matrix.tx_data_packet(RGB_LED_MATRIX_SET_MODE, RGB_LED_MATRIX_MODE_OVERLAY);
	matrix.display_customer_bmp1(0, 0);
	matrix.update_screen();
	delay(1000);
	
	
	for(index = 0; index < 16; index++)
	{
		matrix.clear_ascii_nbg();
		matrix.display_ascii_0508_nbg('S', index, 0, 0x000000FF);	
		matrix.display_ascii_0508_nbg('T', index + 3, 3, 0x00FF0000);	
		matrix.update_screen();	
		delay(100);	
	}


	for(index = 15; index > 0; index--)
	{
		matrix.clear_ascii_nbg();
		matrix.display_ascii_0508_nbg('S', index, 0, 0x00FF00FF);	
		matrix.display_ascii_0508_nbg('T', index + 3, 3, 0x00FF0000);
		matrix.update_screen();	
		delay(100);	
	}
}

